%define upstream_name    Games-AIBots
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    An improved clone of A.I.Wars in Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Games/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Term::ANSIScreen)
BuildRequires: perl(Term::ReadKey)
BuildRequires: perl(Tk)
BuildArch: noarch

%description
This module exists exclusively for the purpose of the _aibots_ script
bundled in the distribution. Please see the aibots manpage for an
explanation of the game's mechanics, rules and tips.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README ChangeLog TODO SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/aibots
/usr/share/man/man1/aibots.1.xz



%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.30.0-7.mga6
+ Revision: 1027650
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.30.0-6.mga6
+ Revision: 936725
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-5.mga5
+ Revision: 743896
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30.0-4.mga5
+ Revision: 684829
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.30.0-3.mga4
+ Revision: 511761
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 367622
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 10 2011 kharec <kharec> 0.30.0-1.mga2
+ Revision: 180174
- imported package perl-Games-AIBots


* Sat Dec 10 2011 cpan2dist 0.03-1mga
- initial mageia release, generated with cpan2dist
